Package org.apache.lucene.queryparser.flexible.core.nodes

# Interface TextableQueryNode

All Known Implementing Classes:
  `FieldQueryNode`, `FuzzyQueryNode`, `PrefixWildcardQueryNode`, `QuotedFieldQueryNode`, `RegexpQueryNode`, `WildcardQueryNode`

public interface TextableQueryNode
Interface for a node that has text as a `CharSequence`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharSequence`
  `getText()`
  `void`
  `setText(CharSequence text)`

- ## Method Details

  - ### getText

    CharSequence getText()

  - ### setText

    void setText(CharSequence text)